Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 3 > Plugins/Modules/Addons

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 5th March 2013, 09:09
adrigen adrigen is offline
Junior Member
 
Join Date: Oct 2012
Posts: 25
Thanks: 6
Thanked 1 Time in 1 Post
Default billing module "requires ISPConfig 3.0.5" but that's the version I'm using

I am getting this message when I go to the install page:
"This Billing Module version requires ISPConfig 3.0.5"
Once before upgrading ispconfig3, and then the message persists after upgrading.

The "billing" option has appeared on the user modules page, but not in the main menu. The home page is showing sql queries above the content like this:

DB::query(SELECT * FROM invoice_settings WHERE invoice_settings_id = 1) -> mysqli_query Table 'dbispconfig.invoice_settings' doesn't exist#0 db->query(SELECT * FROM invoice_settings WHERE invoice_settings_id = 1) called at [/usr/local/ispconfig/interface/lib/classes/db_mysql.inc.php:171] #1 db->queryOneRecord(SELECT * FROM invoice_settings WHERE invoice_settings_id = 1) called at [/usr/local/ispconfig/interface
...
/ispconfig/interface/web/dashboard/dashboard.php:171]
Welcome admin
[icons]

Can anyone advise how to install this module correctly?
Thanks.
Adrian
Reply With Quote
Sponsored Links
  #2  
Old 5th March 2013, 09:19
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 36,078
Thanks: 826
Thanked 5,396 Times in 4,240 Posts
Default

Seems as if the mysql root login details in the ispconfig mysql_clientdb.conf file were not correct or contained any special chars which might get interpreted by shell scripts so the mysql dunp could not be loaded into the database.

Check the file

/usr/local/ispconfig/server/lib/mysql_clientdb.conf

it has to contain the valid root user login details and the password shall not contain special chars that might be interpreted on the shell.

If the above requirements are met, then rerun the ispconfig installation script.

The next thing is that the latest billing mdule requires ispconfig 3.0.5. Please ensure that you installed ispconfig 3.0.5 or 3.0.5.1 before you install the billing module.

Quote:
The "billing" option has appeared on the user modules page, but not in the main menu.
You have to enable the billing module for the admin user under System > CP users (please see installation instructions in the billing module manual for details).
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
The Following User Says Thank You to till For This Useful Post:
adrigen (6th March 2013)
  #3  
Old 6th March 2013, 06:47
adrigen adrigen is offline
Junior Member
 
Join Date: Oct 2012
Posts: 25
Thanks: 6
Thanked 1 Time in 1 Post
Default re-install

There was a suspcious character in the password.


I am a bit unsure about running the install script again.
Do you mean
Code:
php -q install.php
from the install tar?

Will this affect my installed sites?

Last edited by adrigen; 6th March 2013 at 07:07.
Reply With Quote
  #4  
Old 6th March 2013, 08:42
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 36,078
Thanks: 826
Thanked 5,396 Times in 4,240 Posts
 
Default

The install script of the billing module from the billing module tip file, not the install.php from ispconfig tar.gz.

Quote:
Will this affect my installed sites?
No.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
The Following 2 Users Say Thank You to till For This Useful Post:
adrigen (9th March 2013), Williamsl (23rd July 2014)
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
amavisd not running fbnewtz General 1 16th November 2012 08:12
apt-get upgrade problem with MySQL francx Installation/Configuration 1 21st June 2012 19:09
PHP Warning savago General 10 6th January 2010 09:46
ISPConfig on a RaQ2 mattm Installation/Configuration 12 23rd January 2008 18:17
install help alaskaman Installation/Configuration 8 19th August 2007 10:27


All times are GMT +2. The time now is 14:55.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.